Summary: A version of the MIT Athena widget set for X.
Name: Xaw3d
Version: 1.5
Release: 5
Group: System Environment/Libraries
Source: ftp://ftp.x.org/contrib/widgets/Xaw3d/R6.3/Xaw3d-1.5.tar.gz
Source1: IBM_ILA
#Source2: %{name}.txt
Patch:  Xaw3d-1.5-aixgcc.patch
URL: ftp://ftp.x.org/contrib/widgets/Xaw3d
License: IBM_ILA
Prefix: %{_prefix}
Requires: coreutils
BuildRoot: /var/tmp/Xaw3d-root

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for the X Window
System.  Xaw3d adds a three-dimensional look to applications with minimal or no
source code changes.

You should install Xaw3d if you are using applications which incorporate the
MIT Athena widget set and you'd like to incorporate a 3D look into those
applications.

%package devel
Summary: Header files and static libraries for development using Xaw3d.
Group: Development/Libraries
Requires: Xaw3d

%description devel
Xaw3d is an enhanced version of the MIT Athena widget set for the X Window
System.  Xaw3d adds a three-dimensional look to those applications with minimal
or no source code changes. Xaw3d-devel includes the header files and static
libraries for developing programs that take full advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications using
the Xaw3d widget set.  You'll also need to install the Xaw3d package.

%prep
%setup -q -c

# Add license info
#cat $RPM_SOURCE_DIR/IBM_ILA > LICENSE
#cat $RPM_SOURCE_DIR/Xaw3d.txt >> LICENSE

cd xc/lib/Xaw3d
%patch -p3
ln -s .. X11

%build
cd xc/lib/Xaw3d
export PATH=/usr/lpp/X11/bin:$PATH
xmkmf
%ifarch alpha
# alpha was giving internal compiler errors...
make CDEBUGFLAGS=""
%else
make
%endif

%install
rm -rf $RPM_BUILD_ROOT

cd xc/lib/Xaw3d
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}
mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT%{prefix}/lib
mv $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT%{prefix}/include

(
 cd $RPM_BUILD_ROOT
 mkdir -p usr/lpp/X11/lib/R6
 mkdir -p usr/lib
 ln -s %{prefix}/lib/libXaw3d.a usr/lpp/X11/lib/R6
 ln -s %{prefix}/lib/libXaw3d.a usr/lib

 mkdir -p usr/lpp/X11/include/X11
 ln -s %{prefix}/include/X11/Xaw3d usr/lpp/X11/include/X11/Xaw3d
 ln -s %{prefix}/include/X11/Xaw3d usr/lpp/X11/include/Xaw3d
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,system)
%doc LICENSE
%{_prefix}/lib/*.a
/usr/lpp/X11/lib/R6/*.a
/usr/lib/*.a

%files devel
%defattr(-,root,system)
%doc LICENSE
%{_prefix}/lib/*.a
%{_prefix}/include/X11/Xaw3d
/usr/lpp/X11/include/X11/Xaw3d
/usr/lpp/X11/include/Xaw3d

%changelog
* Mon Apr 21 2025 Sumitra Dawn <Sumitra.Dawn@ibm.com> 1.5-5 
- Rebuild for AIX 7.1 using RPMv4

* Wed Feb 02 2005 David Clissold <cliss@austin.ibm.com> 1.5-4
- Rebuilt to specify coreutils as a req (not fileutils).

* Fri Nov 22 2002 David Clissold <cliss@austin.ibm.com>
- Add IBM ILA license.

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 21)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- added security/update patch from debian (the X11R6.3 patch). Thanks guys. :)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- handle the symlink with triggers instead of getting rid of it

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- remove backward compatible symlink.

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the bad symlink
- BuildRoot

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- don't lave an improper return code from %pre

* Mon Nov 03 1997 Cristian Gafton <gafton@redhat.com>
- take care of the old location of the Xaw3d includes in case that one exist
- updated Prereq: field

* Mon Oct 26 1997 Cristian Gafton <gafton@redhat.com
- fixed the -devel package for the right include files path

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- minor spec file cleanups

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- i18n widec.h patch needs to be applied on all systems

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- changed axp check to alpha

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc
